JUCE: VSTCallbackHandler Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
VSTCallbackHandler Struct Referenceabstract
juce_audio_processors » utilities

An interface to allow an AudioProcessor to send and receive VST specific calls from the host. More...

`#include <juce_VSTCallbackHandler.h>`

## Public Types
typedef pointer_sized_int() | VstHostCallbackType(int32 opcode, int32 index, pointer_sized_int value, void *ptr, float opt)
| The host callback function type.

## Public Member Functions
virtual | ~VSTCallbackHandler ()=default
virtual pointer_sized_int | handleVstPluginCanDo (int32 index, pointer_sized_int value, void *ptr, float opt)
| This is called by the VST plug-in wrapper when it receives unhandled plug-in "can do" calls from the host.
virtual pointer_sized_int | handleVstManufacturerSpecific (int32 index, pointer_sized_int value, void *ptr, float opt)=0
| This is called by the VST plug-in wrapper when it receives unhandled vendor specific calls from the host.
virtual void | handleVstHostCallbackAvailable (std::function< VstHostCallbackType > &&callback)
| This is called once by the VST plug-in wrapper after its constructor.

## Detailed Description

An interface to allow an AudioProcessor to send and receive VST specific calls from the host.

To use this class, ensure that your AudioProcessor publicly inherits from VSTCallbackHandler.

See also
  VST3ClientExtensions

## Member Typedef Documentation

## ◆ VstHostCallbackType

typedef pointer_sized_int() VSTCallbackHandler::VstHostCallbackType(int32 opcode, int32 index, pointer_sized_int value, void *ptr, float opt)

The host callback function type.

## Constructor & Destructor Documentation

## ◆ ~VSTCallbackHandler()

virtual VSTCallbackHandler::~VSTCallbackHandler | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ handleVstPluginCanDo()

virtual pointer_sized_int VSTCallbackHandler::handleVstPluginCanDo | ( | int32 | index,
|  | pointer_sized_int | value,
|  | void * | ptr,
|  | float | opt
| ) |  |
| virtual

This is called by the VST plug-in wrapper when it receives unhandled plug-in "can do" calls from the host.

## ◆ handleVstManufacturerSpecific()

virtual pointer_sized_int VSTCallbackHandler::handleVstManufacturerSpecific | ( | int32 | index,
|  | pointer_sized_int | value,
|  | void * | ptr,
|  | float | opt
| ) |  |
| pure virtual

This is called by the VST plug-in wrapper when it receives unhandled vendor specific calls from the host.

## ◆ handleVstHostCallbackAvailable()

virtual void VSTCallbackHandler::handleVstHostCallbackAvailable | ( | std::function< VstHostCallbackType > && | callback | ) |
| virtual

This is called once by the VST plug-in wrapper after its constructor.

You can use the supplied function to query the VST host.

The documentation for this struct was generated from the following file:

- juce_VSTCallbackHandler.h